package tutorialJava.capitulo5.ejercicios.bloque04_instanciasVsStatic.productos;

public class Principal {
    public static void main(String[] args) {
        // Crear instancias de Producto
        Producto p1 = new Producto("Producto A");
        Producto p2 = new Producto("Producto B");
        Producto p3 = new Producto("Producto C");

        // Verificar el valor del contador
        System.out.println("Número total de productos creados: " + 
        		Producto.obtenerContador());

        // Mostrar nombres de los productos
        System.out.println("Productos creados:");
        System.out.println(p1.getNombre());
        System.out.println(p2.getNombre());
        System.out.println(p3.getNombre());
    }
}